# $EPIC: lastlog,v 1.6 2003/12/08 06:11:26 brian Exp $
Synopsis:
   lastlog [-] [-<flag>] [--<flag>] [<pattern>] [<number of entries> [<start>]]

Description:
   LASTLOG allows you to grep through output lines that have previously 
   been displayed on your screen.  The contents of this buffer are controlled
   by SET LASTLOG_LEVEL and the size is controlled by 
   SET LASTLOG.

   For backwards compatibility reasons, up to three non-option arguments are
   acceptable:
	* If the first option specified is not a number, then it is treated
          as if it were the argument to the -LITERAL option.  This MUST
          be the first non-option argument.  See gotcha #1 below.
        * The first number is the number of lines to look at.
	* The second number is the position in the lastlog to start at.

Options:
   -                 Do not display the "Lastlog:" and "End of Lastlog" lines.
   -literal          Show lines that contain this literal string. See
                     gotcha #2.
   -max <num>        Show only the first <num> lines that match.
   -reverse          Show all lines in reverse order; from the END to
                     the BEGINNING.
   -file <filename>  Write output to <filename>.
   -LASTLOG_LEVEL    Where LASTLOG_LEVEL is one of the lastlog levels listed
                     in SET LASTLOG_LEVEL; show messages of this type.
   --LASTLOG_LEVEL   Where LASTLOG_LEVEL Is one of the lastlog levels listed
                     in SET LASTLOG_LEVEL; do not show messages of
                     this type.
   -target           Show only lines with this display target.

Examples:
   To list all private messages from JoeBob:
      /lastlog -msg joebob

   To list all public messages from JoeBob in the last 100 lines
      /lastlog -public joebob 100

   To list all occurrences of the phrase "ircII-EPIC is cool" from 100
   to 600 lines ago:
      /lastlog "ircII-EPIC is cool" 100 500

   To list everything *except* messages:
      /lastlog -all --msgs

   To write everything containing "foo" to "lastlog.out":
      /lastlog -file lastlog.out foo

   To list only public messages to #epic:
      /lastlog -target #epic -public

See Also:
   set(4) lastlog, lastlog_level, log, logfile; window(4) lastlog_level,
   log, logfile

Gotchas:
  #1) If you do specify more than one non-option non-number leading arguments,
      the last one will be used.  THIS MAY CHANGE IN THE FUTURE
  #2) You cannot specify more than one of these; the second and subsequent 
      instances will be ignored.

